package org.jingle.util.dydelegation;

/**
 * The class loader used to load the generated class
 *
 * @author JianLu
 * @version 1.0 2004-9-22
 * @since 1.0
 */
public class DelegationClassLoader extends ClassLoader {
    /**
     * The class byte code
     */
    byte[] bytes;
    
    /**
     * Constructor
     * @param bytes The class byte code 
     */
    public DelegationClassLoader(byte[] bytes) {
        super();
        this.bytes = bytes;
    }

    /**
     * Constructor
     * @param parent The parent class loader
     */
    public DelegationClassLoader(ClassLoader parent, byte[] bytes) {
        super(parent);
        this.bytes = bytes;
    }

    /**
     * @see java.lang.ClassLoader#findClass(java.lang.String)
     */
    protected Class findClass(String name) throws ClassNotFoundException {
        return defineClass(name, bytes, 0, bytes.length);
    }
}
