package org.jingle.util.dydelegation;

import java.lang.reflect.Method;

/**
 * The dummy implementation of DelegationInvocationHandler interface
 *
 * @author JianLu
 * @version 1.0 2004-10-25
 * @since 1.0
 */
public class DummyInvocationHandler implements DelegationInvocationHandler {

    /** 
     * (non-Javadoc)
     * @see org.jingle.util.dydelegation.DelegationInvocationHandler#invokeBefore(java.lang.Object, java.lang.reflect.Method, java.lang.Object[])
     * Always return true
     */
    public boolean invokeBefore(Object bean, Method method, Object[] args)
            throws Throwable {
        return true;
    }

    /** 
     * (non-Javadoc)
     * @see org.jingle.util.dydelegation.DelegationInvocationHandler#invokeAfter(java.lang.Object, java.lang.reflect.Method, java.lang.Object[], java.lang.Object)
     * return the result directly
     */
    public Object invokeAfter(Object bean, Method method, Object[] args,
            Object result) throws Throwable {
        return result;
    }

    /** 
     * (non-Javadoc)
     * @see org.jingle.util.dydelegation.DelegationInvocationHandler#invokeAfterException(java.lang.Object, java.lang.reflect.Method, java.lang.Object[], java.lang.Throwable)
     * throws the throwable object directly
     */
    public Object invokeAfterException(Object bean, Method method, Object[] args, Throwable throwable) throws Throwable {
        throw throwable;
    }

}
